using System.Collections.Generic;

namespace JamesKovacs.IoCArticle.IoCContainer.Infrastructure.Container {
    public interface IDependencyResolver {
        T Resolve<T>();
        IEnumerable<T> ResolveAll<T>();
    }
}